Subject: I-D ACTION:draft-ietf-mpls-crlsp-modify-00.txt

From: [email-masked]
Date: Mon, 27 Dec 1999 06:43:29 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Multiprotocol Label Switching Working Group of the IETF.

	Title		: LSP Modification Using CR-LDP
	Author(s)	: J. Ash, Y. Lee, P. Ashwood-Smith, B. Jamoussi,
                          D. Fedyk,  D. Skalecki, L. Li
 	Filename	: draft-ietf-mpls-crlsp-modify-00.txt
	Pages		: 8
	Date		: 23-Dec-99
	
After a CR-LSP is set up, its bandwidth reservation may need to be
changed by the network operator, due to the new requirements for the
traffic carried on that CR-LSP [2].  This contribution presents an
approach to modify the bandwidth and possibly other parameters of an
established CR-LSP using CR-LDP [3] without service interruption.
The LSP modification feature can be supported by CR-LDP with a minor
extension of an _action indicator flag_ [3].  This feature has
application in dynamic network resources management where traffic of
different priorities and service classes is involved.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-mpls-crlsp-modify-00.txt

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-mpls-crlsp-modify-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-mpls-crlsp-modify-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Ash, Gerald R (Jerry), ALARC" <[email-masked]>
Date: Thu, 30 Dec 1999 09:32:48 -0500

Wei,
See the responses below to your questions.
Hope this helps.
Thanks & Best Wishes for the New Millennium,
Jerry Ash

> -----Original Message-----
> From:	wei sun [SMTP:[email-masked]]
> Sent:	Tuesday, December 28, 1999 11:08 AM
> To:	Ash, Gerald R (Jerry), ALARC
> Cc:	[email-masked]'
> Subject:	RE: I-D ACTION:draft-ietf-mpls-crlsp-modify-00.txt
> 
> 
> Hi,
> 
> I have two doubts:
> 
> 1. Why a new label is always assigned at every hop? In the case the LSP
> after modification is just the same as the old one, can we just use the
> old labels?
> 
We think this is an easier implementation.  As far as new labels vs. keeping
old labels, the tradeoff is creating an in-place modify vs. the modify being
a new path.  The logic is that to modify anything of substance, i.e.
increase bandwidth, change path, change QoS, etc., you will need a new label
and/or a new path.  As a result, it's better to solve the hard problem since
it also solves the easy one.  The easy one would require more specification
since it would need a new "modify" message to be created with an ACK and new
TLV's etc. to reflect what is being changed.  We feel our approach is
simpler and more flexible and covers all the cases.

> 2. The release of the old labels works in an in-order fashion --- from
> ingress node to egress node. Any reason for that?
> 
CR-LDP uses an ordered mode to both establish and release a connection.
This is its normal way of doing things. Since modification consists of the
normal creation of a new LSP and the normal release of the old LSP it makes
sense that the old LSP be released in an ordered fashion. The only
time when CR-LDP LSPs should be released in an unordered fashion is during a
failure at some point in the middle of the LSP, in which case the collapse
starts at the failure point and radiates away towards the source and
destination.

> Sorry if I miss something. Thanks,
> 
> Wei
>